:root{
    --bg-color:#424242e6;
    --card-bg:#6b6c6f;
    --text-color:#f0f4ff;
    --accent-color:#ffd700;
}


body {
  font-family: 'Segoe UI', Tahoma, Verdana, sans-serif;
  background-color:var(--bg-color);
  background-size: cover;
  padding:40px;
}

.guide-header {
    display:flex;
    gap:15px;
    background:var(--card-bg);
    padding:30px;
    border-radius:10px;
    color:white;
    align-items: center;
}

.list-container {
    display:flex;
    flex-direction:column;
    gap:12px;
}
.card {
    background:var(--card-bg);
    border-radius:8px;
    border:1px solid rgba(255,255,255,0,1);
    padding:12px;
    display:flex;
    align-items:center;
    width:100%;
    box-sizing:border-box;
}

.card img {
    width:50px;
}

.materials-grid {
    display:grid;
    grid-template-columns:repeat(3, 1fr);
    gap:40px;
}
.columns-wrapper{
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap:30px;
}

.columns{
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap:40px;
}
.list item{
    margin-bottom:10px;
}
.rank {
    background:#1e3a8e;
    color:white;
    width:30px;
    height:30px;
    display:flex;
    align-items:center;
    justify-content:center;
    padding:5px 12px;
    border-radius:4px;
    margin-right:15px;
    font-weight:bold;
    flex-shrink:0;
}
.icon-placeholder {
    width:40px;
    padding:5px 12px;
    border-radius:4px;
    margin-right:15px;
    font-weight:bold;
}

.potrait-box img {
    width:150px;
    border-radius:12px;
    border:3px solid #444;
    background: rgba(230, 154, 14, 0.5);
}

.title-row {
    display:flex;
    align-items:center;
    gap:12px;
}

.title-row h1 {
    font-size:21px;
    margin-top:10px;
}  

.flavor-text {
    font-size:14px;
}
.mini-element {
    width: 25px;
    height: 25px;
}

.star-row {
    color: #fcd410;
    font-size:22px;
}

.badge-row {
    display:flex;
    gap:15px;
    margin-top:20px;
}
.badge{
    background-color:#2a5a9e;
    padding:6px 15px;
    border-radius:4px;
    border:1px solid #4a7eba;
    font-size:14px;
    font-weight:bold;
    margin-bottom:10px;
}

.badge img{
    width:15px;
}

.stats-container{
    display:flex;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    gap:20px;
    margin-top:40px;
    flex-wrap:wrap;
}

.stats-card {
    background:var(--card-bg);
    text-align:center;
    border-radius:12px;
    width:auto;
    border:1px solid rgba(255,255,255,0,1);
    padding:12px;
}

.stats-card-full {
    grid-column:1/4;
    background:var(--card-bg);
    text-align:center;
    border-radius:12px;
    width:auto;
    border:1px solid rgba(255,255,255,0,1);
    padding:12px;
}

h3 {
    font-size:16px;
    font-weight:normal;
}

h3 span {
    font-weight:bold;
}

.character-wrapper{
    position:relative;
    width: 75px;
    display: inline-block;
    margin:0px;
    text-align: center;
}

.character-img {
    width: 60px;
    height: 60px;
    border-radius: 15%;
    display: block;
    margin: 0 auto;
    background: rgba(230, 154, 14, 0.5);
}

.element-badge {
    position: absolute;
    top: -5px;
    right: 5px;
    width: 21px;
    height: 21px;
    background: rgba(0, 0, 0, 0.6);
    border-radius:50%;
    padding:2px;
    z-index: 10;
}

.name {
    margin-top: 5px;
    font-size: 14px;
    text-align: center;
    font-weight: bold;
}

a{
    text-decoration:none;
    color:black;
}

.teams-grid{
    display: grid;
  grid-template-columns: 1fr 1fr;
  gap:5px;
}